//## begin module%1.4%.codegen_version preserve=yes
//   Read the documentation to learn more about C++ code generator
//   versioning.
//## end module%1.4%.codegen_version

//## begin module%4561D34600B5.cm preserve=no
//	  %X% %Q% %Z% %W%
//## end module%4561D34600B5.cm

//## begin module%4561D34600B5.cp preserve=no
//## end module%4561D34600B5.cp

//## Module: PlotBackground%4561D34600B5; Package specification
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Source file: /local/data/xerxes1/gordon/headas/Xspec/src/XSPlot/Commands/PlotBackground.h

#ifndef PLOTBACKGROUND_H
#define PLOTBACKGROUND_H 1

//## begin module%4561D34600B5.additionalIncludes preserve=no
//## end module%4561D34600B5.additionalIncludes

//## begin module%4561D34600B5.includes preserve=yes
//## end module%4561D34600B5.includes

// PlotCommand
#include <XSPlot/Plot/PlotCommand.h>
//## begin module%4561D34600B5.declarations preserve=no
//## end module%4561D34600B5.declarations

//## begin module%4561D34600B5.additionalDeclarations preserve=yes
class PlotGroup;
class PlotSettings;
struct StandardLabels;
//## end module%4561D34600B5.additionalDeclarations


//## begin PlotBackground%4561D47301D4.preface preserve=yes
//## end PlotBackground%4561D47301D4.preface

//## Class: PlotBackground%4561D47301D4
//## Category: XSPlot::PlotCommands%3DAF12C70234
//## Subsystem: XSPlot::Commands%3DA1AFD101BF
//## Persistence: Transient
//## Cardinality/Multiplicity: n



class PlotBackground : public PlotCommand  //## Inherits: <unnamed>%4B1ED52400C6
{
  //## begin PlotBackground%4561D47301D4.initialDeclarations preserve=yes
  //## end PlotBackground%4561D47301D4.initialDeclarations

  public:
    //## Constructors (generated)
      PlotBackground();

    //## Destructor (generated)
      virtual ~PlotBackground();


    //## Other Operations (specified)
      //## Operation: makeLabels%4B1EDA230137
      //	If not overridden, this does nothing.
      virtual void makeLabels (const PlotSettings& settings, StandardLabels& labels) const;

    // Additional Public Declarations
      //## begin PlotBackground%4561D47301D4.public preserve=yes
      //## end PlotBackground%4561D47301D4.public

  protected:
    // Additional Protected Declarations
      //## begin PlotBackground%4561D47301D4.protected preserve=yes
      //## end PlotBackground%4561D47301D4.protected

  private:
    //## Constructors (generated)
      PlotBackground(const PlotBackground &right);

    //## Assignment Operation (generated)
      PlotBackground & operator=(const PlotBackground &right);


    //## Other Operations (specified)
      //## Operation: setRanges%4B1EDA0C0308
      //	Determines plot-time range settings based on current
      //	setplot settings and PlotGroup data.
      virtual void setRanges (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

      //## Operation: manipulate%4B1FC6F6032B
      //	Once the raw data has been gathered into PlotGroup
      //	objects, this is the function that performs the various
      //	mathematical operations specific to each PlotCommand
      //	subclass.
      virtual void manipulate (std::vector<PlotGroup*>& plotGroups, const PlotSettings& settings);

    // Additional Private Declarations
      //## begin PlotBackground%4561D47301D4.private preserve=yes
      //## end PlotBackground%4561D47301D4.private

  private: //## implementation
    // Additional Implementation Declarations
      //## begin PlotBackground%4561D47301D4.implementation preserve=yes
      //## end PlotBackground%4561D47301D4.implementation

};

//## begin PlotBackground%4561D47301D4.postscript preserve=yes
//## end PlotBackground%4561D47301D4.postscript

// Class PlotBackground 

//## begin module%4561D34600B5.epilog preserve=yes
//## end module%4561D34600B5.epilog


#endif
